.\"	$NetBSD: njs.4,v 1.4 2005/09/09 14:11:39 drochner Exp $
.\"
.\" Copyright (c) 2004 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by ITOH Yasufumi.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd August 26, 2004
.Dt NJS 4
.Os
.Sh NAME
.Nm njs
.Nd Workbit NinjaSCSI-32 PCI/CardBus SCSI driver
.Sh SYNOPSIS
.Cd "njs* at pci? dev ? function ?"
.Cd "njs* at cardbus? function ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the following
Workbit Bus-Master PCI/CardBus Ultra Narrow SCSI controller chips:
.Pp
.Bl -tag -width "NinjaSCSI-32UDE" -offset indent
.It NinjaSCSI-32Bi
CardBus / PCMCIA dual mode device
.Pq Dq DuoSCSI .
This driver supports the CardBus mode.
.It NinjaSCSI-32UDE
PCI / CardBus device with DualEdge transfer (40MB/s max.) capability.
.El
.Sh SEE ALSO
.Xr cardbus 4 ,
.Xr cd 4 ,
.Xr ch 4 ,
.Xr pci 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr st 4 ,
.Xr uk 4
.Sh HISTORY
The
.Nm
device driver first appeared in
.Nx 1.6.3 .
.Sh AUTHORS
.An ITOH Yasufumi Aq itohy@NetBSD.org
.Sh BUGS
DualEdge transfer is not currently supported.
